summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/doccheckin7
1 files changed, 2 insertions, 5 deletions
diff --git a/bin/doccheckin b/bin/doccheckin
index bac1ae3f..c3ec710f 100755
--- a/bin/doccheckin
+++ b/bin/doccheckin
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
set -e
@@ -10,10 +10,7 @@ cd ~/doc/
# don't do anything if waiting on a manual merge; don't want just
# blanket commit that merge
-gstatus=$(git status)
-if [[ $gstatus =~ 'You have unmerged paths.' ]]; then
- exit 0
-fi
+[ -z "$(git ls-files --unmerged)" ] || exit 0
# this command should never fail and stop mr
git add org/*.org \